## visad.data.dods
Class BooleanVariableAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VariableAdapter
              visad.data.dods.BooleanVariableAdapter

public class BooleanVariableAdapter
extends VariableAdapter

Provides support for adapting DODS DBoolean variables to the VisAD data-import context.

Instances are immutable.

Method Summary
`static BooleanVariableAdapter` `booleanVariableAdapter(DBoolean var, DAS das)` Returns an instance of this class corresponding to a DODS variable.
`DataImpl` `data(DBoolean var, boolean copy)` Returns a VisAD data object corresponding to a DODS `DBoolean`.
`MathType` `getMathType()` Returns the VisAD `MathType` of this instance.
`SimpleSet[]` `getRepresentationalSets(boolean copy)` Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FlatField`.

Methods inherited from class visad.data.dods.VariableAdapter
`data, data, data, data, data, data, data, data, data, data, data, data, data, data, mathType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### booleanVariableAdapter

    public static BooleanVariableAdapter booleanVariableAdapter(DBoolean var,
                                                                DAS das)
                                                         throws VisADException

  Returns an instance of this class corresponding to a DODS variable.

  Parameters:
    `var` - The DODS variable.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    An instance of this class corresponding to the input arguments.
  Throws:
    `VisADException` - VisAD failure.

### getMathType

    public MathType getMathType()

  Returns the VisAD `MathType` of this instance.

  Specified by:
    `getMathType` in class `VariableAdapter`
  Returns:
    The MathType of this instance.

### getRepresentationalSets

    public SimpleSet[] getRepresentationalSets(boolean copy)

  Returns the VisAD `Set`s that will be used to represent this instances data values in the range of a VisAD `FlatField`.

  Overrides:
    `getRepresentationalSets` in class `VariableAdapter`
  Parameters:
    `copy` - If true, then the data values are copied.
  Returns:
    The VisAD Sets used to represent the data values in the range of a FlatField.

### data

    public DataImpl data(DBoolean var,
                         boolean copy)

  Returns a VisAD data object corresponding to a DODS `DBoolean`. The DBoolean must be compatible with the the DBoolean used to construct this instance. In particular, the name of the DBoolean used to construct this instance will be used in naming the returned VisAD `Real`.

  Overrides:
    `data` in class `VariableAdapter`
  Parameters:
    `var` - The DODS variable. The variable must be compatible with the the variable used to construct this instance.
    `copy` - If true, then data values are copied.
  Returns:
    A corresponding VisAD data object. The class of the object will be `Real`.